LOGGER(1)

NAME
logger - make entries in the system log

SYNOPSIS
logger [options ...] [message ...]

DESCRIPTION
logger provides a shell command interface to the syslog(3) system log module.

OPTIONS

-4, --ipv4
    Use IPv4 to connect to hosts.

-6, --ipv6
    Use IPv6 to connect to hosts.

-S, --source ip
    Set source IP address.

-h, --host host
    Log to host instead of to the default /dev/log.

-u, --unix sock
    Log to UNIX socket sock instead of /dev/log.

-i, --id [pid]
    Log the process id of the logger process with each line.

-s, --stderr
    Log the message to standard error, as well as the system log.

-f, --file file
    Log the specified file.

-p, --priority pri
    Enter the message with the specified priority. The priority may be specified numerically or as a "facility.level" pair. For example, "-p local3.info" logs the message(s) as informational level in the local3 facility. The default is "user.notice."

-t, --tag tag
    Mark every line in the log with the specified tag.

--usage
    Display a short usage message.

-?, --help
    Display a help list.

-V, --version
    Display program version.

message
    Write the message to log; if not specified, and the -f flag is not provided, standard input is logged.

The logger utility exits 0 on success, and >0 if an error occurs.

EXAMPLES
    logger System rebooted
    logger -p local0.notice -t HOSTIDM -f /dev/idmc

SEE ALSO
syslog(3), syslogd(8).

STANDARDS
The logger command is expected to be p1003.2 compatible.